#*******************************************************************************
# Copyright (c) 1995, 2004 IBM Corporation. All rights reserved.
# Copyright (c) 2005 Rexx Language Association. All rights reserved.
#
# This program and the accompanying materials are made available under
# the terms of the Common Public License v1.0 which accompanies this
# distribution. A copy is also available at the following address:
# http://www.ibm.com/developerworks/oss/CPLv1.0.htm
#
# Redistribution and use in source and binary forms, with or
# without modification, are permitted provided that the following
# conditions are met:
#
# Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in
# the documentation and/or other materials provided with the distribution.
#
# Neither the name of Rexx Language Association nor the names
# of its contributors may be used to endorse or promote products
# derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#******************************************************************************
# Base package description

Summary: Open Object Rexx
Name: ooRexx
Version: 3.0.0
Release: 1
Copyright: 2005 Rexx Language Association
Group: Development/Languages
Source: ftp://prdownloads.sourceforge.net/oorexx/ooRexx-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Distribution: CPL
Vendor: RexxLA
Packager: Mark Hessling
URL: http://www.oorexx.org
Provides: ooRexx

%description
Open Object Rexx is an object-oriented scripting language. The language
is designed for "non-programmer" type users, so it is easy to learn
and easy to use, and provides an excellent vehicle to enter the world
of object-oriented programming without much effort.

It extends the procedural way of programming with object-oriented
features that allow you to gradually change your programming style
as you learn more about objects.

For more information on ooRexx, visit http://www.oorexx.org/
For more information on Rexx, visit http://www.rexxla.org/
%prep
%setup

%build
./configure --disable-static
make

%install

rm -fr %{buildroot}
make DESTDIR=%{buildroot} install-strip

%files
/usr/local/bin/rexx
/usr/local/bin/rexxc
/usr/local/bin/rxqueue
/usr/local/bin/rxsubcom
/usr/local/bin/rxdelipc
/usr/local/bin/rxmigrate
/usr/local/bin/rexx.img
/usr/local/bin/rexx.cat
/usr/local/bin/rxregexp.cls
/usr/local/bin/rxftp.cls
/usr/local/lib/ooRexx/librexx.so.%{version}
/usr/local/lib/ooRexx/librexxapi.so.%{version}
/usr/local/lib/ooRexx/librxsock.so.%{version}
/usr/local/lib/ooRexx/librxmath.so.%{version}
/usr/local/lib/ooRexx/librxregexp.so.%{version}
/usr/local/lib/ooRexx/librexxutil.so.%{version}
/usr/local/lib/ooRexx/librexx.la
/usr/local/lib/ooRexx/librexxapi.la
/usr/local/lib/ooRexx/librxsock.la
/usr/local/lib/ooRexx/librxmath.la
/usr/local/lib/ooRexx/librxregexp.la
/usr/local/lib/ooRexx/librexxutil.la
/usr/local/man/man1/rexx.1
/usr/local/man/man1/rexxc.1
/usr/local/man/man1/rxsubcom.1
/usr/local/man/man1/rxqueue.1
/usr/local/man/man1/rxmigrate.1
/usr/local/include/rexx.h
/usr/local/share/ooRexx/rexx.sh
/usr/local/share/ooRexx/rexx.csh
/usr/local/share/ooRexx/*.rex
/usr/local/share/ooRexx/readme

%post
cd /usr/local/lib/ooRexx
ln -sf ./librexx.so.%{version} ./librexx.so.3
ln -sf ./librexx.so.%{version} ./librexx.so
ln -sf ./librexxapi.so.%{version} ./librexxapi.so.3
ln -sf ./librexxapi.so.%{version} ./librexxapi.so
ln -sf ./librxsock.so.%{version} ./librxsock.so.3
ln -sf ./librxsock.so.%{version} ./librxsock.so
ln -sf ./librxmath.so.%{version} ./librxmath.so.3
ln -sf ./librxmath.so.%{version} ./librxmath.so
ln -sf ./librxregexp.so.%{version} ./librxregexp.so.3
ln -sf ./librxregexp.so.%{version} ./librxregexp.so
ln -sf ./librexxutil.so.%{version} ./librexxutil.so.3
ln -sf ./librexxutil.so.%{version} ./librexxutil.so
ldconfig /usr/local/lib/ooRexx
